Bug 186605 - sendmail security update reverts to SASL from SASLv2
sendmail security update reverts to SASL from SASLv2
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sendmail (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-24 12:15 EST by Don Close
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-27 03:45:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Close 2006-03-24 12:15:08 EST
Description of problem:
Original package:

sendmail -d0.1 -bv xxx
Version 8.12.10
 Compiled with: DNSMAP HESIOD HES_GETMAILHOST LDAPMAP LOG MAP_REGEX MATCHGECOS
MILTER MIME7TO8 MIME8TO7 NAMED_BIND NETINET NETINET6 NETUNIX NEWDB NIS
PIPELINING SASLv2 SCANF STARTTLS TCPWRAPPERS USERDB USE_LDAP_INIT

Note: uses SASLv2


Installed latest package of sendmail:  sendmail-8.12.11-4.RHEL3.4

/usr/sbin/sendmail.2006 -d0.1 -bv xxx
Version 8.12.11.20060308
 Compiled with: DNSMAP HESIOD HES_GETMAILHOST LDAPMAP LOG MAP_REGEX MATCHGECOS
MILTER MIME7TO8 MIME8TO7 NAMED_BIND NETINET NETINET6 NETUNIX NEWDB NIS
PIPELINING SASL SCANF STARTTLS TCPWRAPPERS USERDB USE_LDAP_INIT

Note: reverts to SASL

Result: Users are no longer able to authenticate for smtp





How reproducible:


Steps to Reproduce:
1.Apply security update
2.
3.
  
Actual results:
Users can't authenticate for smtp

Expected results:
Users can authenticate for smtp

Additional info: SASLv2 and PAM configuration files were overwritten making
reverting to previous binary difficult.
Comment 1 Thomas Woerner 2006-03-27 03:45:36 EST
Please have a look at #124086 and #125383.

Since sendmail-8.12.11-3.3 the RHEL-3 package is supporting SASLv1, only.

Closing as "NOT A BUG".

Note You need to log in before you can comment on or make changes to this bug.